'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// external dependencies


var Display = (0, _recompose.pure)(function (_ref) {
  var children = _ref.children;
  var onClick = _ref.onClick;
  var _ref$style = _ref.style;
  var style = _ref$style === undefined ? {} : _ref$style;

  return _react2.default.createElement(
    'div',
    {
      onClick: onClick,
      style: style
    },
    children
  );
});

Display.propTypes = {
  children: _react.PropTypes.node,
  onClick: _react.PropTypes.func,
  style: _react.PropTypes.object
};

exports.default = Display;
module.exports = exports['default'];