'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// external dependencies


var TrackButton = (0, _recompose.pure)(function (_ref) {
  var label = _ref.label;
  var onMouseDown = _ref.onMouseDown;
  var _ref$style = _ref.style;
  var style = _ref$style === undefined ? {} : _ref$style;

  return _react2.default.createElement('span', {
    'aria-label': label,
    onMouseDown: onMouseDown,
    role: 'button',
    style: style
  });
});

TrackButton.propTypes = {
  onMouseDown: _react.PropTypes.func,
  style: _react.PropTypes.object
};

exports.default = TrackButton;
module.exports = exports['default'];