'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// external dependencies


var VolumeContainer = (0, _recompose.pure)(function (_ref) {
  var children = _ref.children;
  var onMouseEnter = _ref.onMouseEnter;
  var onMouseLeave = _ref.onMouseLeave;
  var _ref$style = _ref.style;
  var style = _ref$style === undefined ? {} : _ref$style;

  return _react2.default.createElement(
    'div',
    {
      className: '__vidz_volume_change__',
      onMouseEnter: onMouseEnter,
      onMouseLeave: onMouseLeave,
      role: 'button',
      style: style
    },
    children
  );
});

VolumeContainer.propTypes = {
  children: _react.PropTypes.node,
  onMouseEnter: _react.PropTypes.func,
  onMouseLeave: _react.PropTypes.func,
  style: _react.PropTypes.object
};

exports.default = VolumeContainer;
module.exports = exports['default'];