'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.icons = exports.availableIcons = undefined;

var _arrowExpand = require('react-icons/lib/io/arrow-expand');

var _arrowExpand2 = _interopRequireDefault(_arrowExpand);

var _iosFastforward = require('react-icons/lib/io/ios-fastforward');

var _iosFastforward2 = _interopRequireDefault(_iosFastforward);

var _pause = require('react-icons/lib/io/pause');

var _pause2 = _interopRequireDefault(_pause);

var _play = require('react-icons/lib/io/play');

var _play2 = _interopRequireDefault(_play);

var _arrowShrink = require('react-icons/lib/io/arrow-shrink');

var _arrowShrink2 = _interopRequireDefault(_arrowShrink);

var _volumeHigh = require('react-icons/lib/io/volume-high');

var _volumeHigh2 = _interopRequireDefault(_volumeHigh);

var _volumeLow = require('react-icons/lib/io/volume-low');

var _volumeLow2 = _interopRequireDefault(_volumeLow);

var _volumeMedium = require('react-icons/lib/io/volume-medium');

var _volumeMedium2 = _interopRequireDefault(_volumeMedium);

var _volumeMute = require('react-icons/lib/io/volume-mute');

var _volumeMute2 = _interopRequireDefault(_volumeMute);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AVAILABLE_ICONS = {
  EXPAND: 'EXPAND',
  FAST_FORWARD: 'FAST_FORWARD',
  PAUSE: 'PAUSE',
  PLAY: 'PLAY',
  SHRINK: 'SHRINK',
  VOLUME_HIGH: 'VOLUME_HIGH',
  VOLUME_LOW: 'VOLUME_LOW',
  VOLUME_MEDIUM: 'VOLUME_MEDIUM',
  VOLUME_MUTE: 'VOLUME_MUTE'
}; // external dependencies


var ICON_MAP = {
  EXPAND: _arrowExpand2.default,
  FAST_FORWARD: _iosFastforward2.default,
  PAUSE: _pause2.default,
  PLAY: _play2.default,
  SHRINK: _arrowShrink2.default,
  VOLUME_HIGH: _volumeHigh2.default,
  VOLUME_LOW: _volumeLow2.default,
  VOLUME_MEDIUM: _volumeMedium2.default,
  VOLUME_MUTE: _volumeMute2.default
};

exports.availableIcons = AVAILABLE_ICONS;
exports.icons = ICON_MAP;
exports.default = {
  availableIcons: AVAILABLE_ICONS,
  icons: ICON_MAP
};